import express from "express";
import type { Express } from "express";
import cors from "cors";
import UserRouter from "./userRouter";

export default (app: Express) => {
  app.set("query parser", "extended");
  app.use(express.json());
  app.use(
    express.urlencoded({
      extended: true,
    })
  );
  app.use(cors());
  app.options("*path", cors());

  app.use("/user", new UserRouter().router);
};
