import { dataSource } from "../data-source";
import User from "../entities/user";
import GenericService from "./GenericService";

export default class UserService extends GenericService<User> {
  constructor() {
    super(User);
  }

  // extend generic service by specific function
  async getUsersByFirstname(firstname: string): Promise<User[]> {
    return await dataSource.getRepository(User).createQueryBuilder().where({ firstname }).getMany();
  }
}
